## exhale 0.2.3

=== debian/changelog ===
exhale (0.2.3-2) unstable; urgency=medium

  * Source-only upload.
  * Add Enhances: python3-sphinx

 -- Timo Röhling <roehling@debian.org>  Thu, 28 Oct 2021 08:44:03 +0200

exhale (0.2.3-1) unstable; urgency=medium

  * Initial release (Closes: #994609)

 -- Timo Röhling <roehling@debian.org>  Sun, 19 Sep 2021 21:45:40 +0200
