=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS = $(CURDIR)/testing -m "not setup_raises" -k "not CPPPimpl"

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	rm debian/*/usr/lib/python*/dist-packages/exhale/data/treeView-bootstrap/bootstrap-treeview/LICENSE
	rm debian/*/usr/lib/python*/dist-packages/exhale/data/treeView/collapsible-lists/LICENSE.md
