=== debian/changelog ===
exhale (0.3.1-1) unstable; urgency=medium

  * New upstream version 0.3.1

 -- Timo Röhling <roehling@debian.org>  Sat, 19 Feb 2022 15:11:10 +0100

exhale (0.3.0-2) unstable; urgency=medium

  * Fix autopkgtest after config migrated to pyproject.toml

 -- Timo Röhling <roehling@debian.org>  Fri, 11 Feb 2022 10:52:51 +0100

exhale (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0
  * Refresh patches
    - Drop Do-not-emit-empty-hierarchy-files.patch (applied upstream)

 -- Timo Röhling <roehling@debian.org>  Thu, 10 Feb 2022 09:19:59 +0100

exhale (0.2.4-3) unstable; urgency=medium

  * Do not emit empty hierarchy files

 -- Timo Röhling <roehling@debian.org>  Wed, 15 Dec 2021 22:47:16 +0100

exhale (0.2.4-2) unstable; urgency=medium

  * Fix autopkgtest regression

 -- Timo Röhling <roehling@debian.org>  Sun, 05 Dec 2021 19:52:34 +0100

exhale (0.2.4-1) unstable; urgency=medium

  * New upstream version 0.2.4
  * Update test rules

 -- Timo Röhling <roehling@debian.org>  Fri, 03 Dec 2021 16:07:13 +0100
