=== debian/control ===
Source: exhale
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>
Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  python3-all,
  python3-breathe,
  python3-bs4,
  python3-ipdb <!nocheck>,
  python3-lxml,
  python3-setuptools,
  python3-six,
  python3-sphinx (>= 1.6.1),
  python3-pytest <!nocheck>
Homepage: https://exhale.readthedocs.io/en/latest/
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/exhale.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/exhale

Package: python3-exhale
Architecture: all
Multi-Arch: foreign
Depends: ${python3:Depends}, ${misc:Depends}, doxygen
Enhances: python3-sphinx
Description: Sphinx automated C++ API generation support
 Exhale is a Sphinx extension that depends on the excellent Breathe
 extension which enables parsing Doxygen documentation into the Sphinx
 domain. Exhale provides a layer of automation, enabling launching
 Doxygen and generating the full website all from your conf.py.
