=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export PYBUILD_TEST_ARGS = $(CURDIR)/testing -m "not setup_raises" -k "not CPPPimpl"
+export PYBUILD_TEST_ARGS = $(CURDIR)/testing -m "not setup_raises" -k "not CPPNestingPages"
 
 %:
 	dh $@ --buildsystem=pybuild
