=== debian/tests/control ===
Tests: run-test-suite
Depends: @, python3-pytest, python3-ipdb
