=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/exhale-$1\.tar\.gz/ \
 https://github.com/svenevs/exhale/releases/latest .*/v?(\d\S+)\.tar\.gz
