## exhale 0.3.5

=== debian/changelog ===
exhale (0.3.5-1) unstable; urgency=medium

  * New upstream version 0.3.5

 -- Timo Röhling <roehling@debian.org>  Mon, 25 Jul 2022 13:37:51 +0200

exhale (0.3.4-1) unstable; urgency=medium

  * New upstream version 0.3.4

 -- Timo Röhling <roehling@debian.org>  Mon, 20 Jun 2022 09:39:45 +0200

exhale (0.3.3-1) unstable; urgency=medium

  * Remove constraints unnecessary since buster
  * New upstream version 0.3.3
  * Bump Standards-Version to 4.6.1

 -- Timo Röhling <roehling@debian.org>  Sun, 19 Jun 2022 23:02:48 +0200
