=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
 Build-Depends:
   debhelper-compat (= 13),
   dh-sequence-python3,
+  pybuild-plugin-pyproject,
   python3-all,
   python3-breathe,
   python3-bs4,
   python3-ipdb <!nocheck>,
   python3-lxml,
+  python3-pytest <!nocheck>,
   python3-setuptools,
   python3-six,
-  python3-sphinx (>= 1.6.1),
-  python3-pytest <!nocheck>
+  python3-sphinx,
 Homepage: https://exhale.readthedocs.io/en/latest/
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/exhale.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/exhale
