=== debian/changelog ===
exhale (0.3.6-2) unstable; urgency=medium

  * Use the shiny new pybuild-autopkgtest

 -- Timo Röhling <roehling@debian.org>  Thu, 08 Dec 2022 14:29:24 +0100

exhale (0.3.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Timo Röhling ]
  * Update d/watch
  * New upstream version 0.3.6

 -- Timo Röhling <roehling@debian.org>  Mon, 10 Oct 2022 21:08:27 +0200
