=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/exhale.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/exhale
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-exhale
 Architecture: all
