=== docs/requirements.txt ===
sphinx
sphinx_rtd_theme
sphinx-issues
# exhale requirements
beautifulsoup4
lxml
breathe
six
# test imports
pytest
pytest-raises>=0.10
