=== testing/projects/cpp_fortran_mixed/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # This file is dedicated to the public domain.  If your jurisdiction requires a        #
 # specific license:                                                                    #
 #                                                                                      #
-# Copyright (c) Stephen McDowell, 2017-2022                                            #
+# Copyright (c) Stephen McDowell, 2017-2024                                            #
 # License:      CC0 1.0 Universal                                                      #
 # License Text: https://creativecommons.org/publicdomain/zero/1.0/legalcode            #
 ########################################################################################
