=== debian/changelog ===
exhale (0.3.7-1) unstable; urgency=medium

  * New upstream version 0.3.7

 -- Timo Röhling <roehling@debian.org>  Tue, 06 Feb 2024 21:06:03 +0100

exhale (0.3.6-5) unstable; urgency=medium

  * Skip mixed Fortran test completely

 -- Timo Röhling <roehling@debian.org>  Thu, 12 Oct 2023 11:04:28 +0200

exhale (0.3.6-4) unstable; urgency=medium

  * Clean test build files (Closes: #1044900)
  * Hotfix for Fortran signature change (Closes: #1052910)

 -- Timo Röhling <roehling@debian.org>  Wed, 11 Oct 2023 19:22:36 +0200

exhale (0.3.6-3) unstable; urgency=medium

  * Fix Sphinx 7 compatibility
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Wed, 30 Aug 2023 22:10:12 +0200
