=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
   python3-six,
   python3-sphinx,
 Homepage: https://exhale.readthedocs.io/en/latest/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/exhale.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/exhale
